MCU=attiny26
GCCDIR  := /usr/local/gcc-avr-4.0.1/
CC 	:= $(GCCDIR)/bin/avr-gcc
OBJCOPY := $(GCCDIR)/bin/avr-objcopy
PORT    := /dev/ttyS0

BASE    := test_sharp_sensor_and_relay

CFLAGS := -g -mmcu=$(MCU) -Wall -Wstrict-prototypes  -I$(GCCDIR)/avr/include -I$(GCCDIR)/avr/include/avr
LDFLAGS := -L$(GCCDIR)/avr/lib


all: $(BASE).hex

$(BASE).hex:	$(BASE).out
	$(OBJCOPY) -R .eeprom -O ihex $< $@ 
$(BASE).out:	$(BASE).o
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ -Wl,-Map,$(BASE).map $<

$(BASE).o:	$(BASE).c
	$(CC) $(CFLAGS) -Os -c $(BASE).c

load:	$(BASE).hex
        # Factory Default fuses:
	# Fuse Low Byte      = 0xe1
	# Fuse High Byte     = 0xf7    1Mhz Internal osc
	# 
	# reconfigure for 8MHz internal clock
	uisp -dserial=$(PORT) if=$(BASE).hex -dprog=avrisp -dpart=$(MCU) --wr_fuse_l=0xe4
	# Program the hex file into the AVR
	uisp -dserial=$(PORT) --erase --upload if=$(BASE).hex -dprog=avrisp -v=3 -dpart=$(MCU) 
	# Skip verify
	#uisp -dserial=$(PORT) --verify if=$(BASE).hex -dprog=avrisp -v=3 -dpart=$(MCU)

clean:
	rm -f *.o *.map *.out






